import numpy as np
import matplotlib.pyplot as plt

bname = 'gamma'
heatmaps = np.load('{}.npy'.format(bname)).item()
node = 'cifarnet/conv6'
heatmap = heatmaps[node]
# heatmap = np.random.random((256, 256))
cov = np.corrcoef(heatmap)
# overall = np.sum(cov, axis=0)
# indices = np.argsort(overall)
# cov = cov[indices, :]
# cov = cov[:, indices]

fig = plt.figure(figsize=(5, 5))
ax = fig.add_subplot(1, 1, 1)
ax.imshow(
    cov, cmap='Greys', interpolation='nearest')
ax.set_xticks([])
ax.set_yticks([])
# plt.tight_layout()
# plt.savefig('correlation.pdf'.format(bname), dpi=1600, bbox_inches='tight')
plt.show()
