import pickle

import numpy as np
import matplotlib.pyplot as plt


pkl = False
if pkl:
    with open('saliencies.pkl', 'rb') as f:
        saliencies = pickle.load(f)
    saliencies = [saliencies[c] for c in range(max(saliencies))]
    saliencies = np.array(saliencies).transpose()
    np.save('saliencies.npy', saliencies)
else:
    saliencies = np.load('saliencies.npy')[:, :20]
flier = {
    'alpha': 0.1,
    'markersize': 2,
    #  'markeredgecolor': 'None',
    'marker': 'o',
}
plt.boxplot(saliencies, widths=0.75, showfliers=True, flierprops=flier)
plt.xticks([])
plt.grid(axis='y')
plt.show()
#  plt.savefig('saliencies.pdf')
